{
  "[python]": {
    "editor.defaultFormatter": null,
    "editor.formatOnSave": true,
    "editor.codeActionsOnSave": {
      "source.organizeImports": true
    }
  },
  // 自身の環境に合わせて変えてください
  "python.defaultInterpreterPath": "<pythonインタプリターのパス>",
  "python.linting.lintOnSave": true,
  "python.linting.enabled": true,
  "python.linting.pylintEnabled": false,
  "python.linting.flake8Enabled": true,
  "python.linting.flake8Args": [
    "--max-line-length=200",
    "--ignore=F541"
  ],
  "python.formatting.provider": "autopep8",
  "python.formatting.autopep8Path": "autopep8",
  "python.formatting.autopep8Args": [
    "--max-line-length", "200",
    "--ignore=F541"
  ],
  "python.testing.pytestArgs": [
    "tests/batch/"
  ],

  "python.testing.unittestEnabled": false,
  "python.testing.pytestEnabled": true
}
